#2969 closed defect (fixed)

qoriq BSPs depend on mkimage which is not always available

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The following BSPs do not successfully build on the master because they use UBoot's mkimage which is not part of the standard RTEMS tools.

qoriq_core_0
qoriq_core_1
qoriq_p1020rdb

Change History (8)

comment:1 Changed on Apr 3, 2017 at 7:16:05 PM by Joel Sherrill

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Apr 4, 2017 at 5:09:35 AM by Sebastian Huber

Ok, now I know why I didn't commit this patch years ago.

Should we add the U-Boot mkimage to the RTEMS tools? It is GPL software.

comment:3 in reply to:  2 Changed on Apr 4, 2017 at 6:04:04 AM by Chris Johns

Replying to Sebastian Huber:

Should we add the U-Boot mkimage to the RTEMS tools? It is GPL software.

No. The RSB is fine, maybe a rtems/config/bsps/qoriq build set could be added which builds everything for the user of the BSP including uboot.

You could see if you can craft a configure test to detect the tool then update the build rule. This would allow those who do not have the tool to build and regression test building.

I also suggest you provide instructions in the Wiki under https://devel.rtems.org/wiki/Boards on how to get and build uboot, create images etc.

I see any post rules or stages as a wasted effort, even the size command. This should be handled outside of RTEMS. It is difficult to handle generically.

comment:4 Changed on Apr 4, 2017 at 6:08:25 AM by Sebastian Huber

I am not sure if its easily possible to adjust anything in make/custom/* via the configure script.

comment:5 in reply to:  4 Changed on Apr 4, 2017 at 6:12:15 AM by Chris Johns

Replying to Sebastian Huber:

I am not sure if its easily possible to adjust anything in make/custom/* via the configure script.

I am sure a bit of m4 and whole lot of ../ is all you need ;)

comment:6 Changed on Apr 5, 2017 at 5:10:15 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In a7dc1550/rtems:

bsp/qoriq: Comment out post-link hook

The U-Boot mkimage is not available in general.

Close #2969.

comment:7 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:8 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.